# ory_kratos_client
Documentation for all public and administrative Ory Kratos APIs. Public and administrative APIs
are exposed on different ports. Public APIs can face the public internet without any protection
while administrative APIs should never be exposed without prior authorization. To protect
the administative API port you should use something like Nginx, Ory Oathkeeper, or any other
technology capable of authorizing incoming requests.


This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v0.6.0-alpha.2
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 2.0 or later

## Installation & Usage

### Github
If this Dart package is published to Github, add the following dependency to your pubspec.yaml
```
dependencies:
  ory_kratos_client:
    git: https://github.com/ory/sdk.git
```

### Local
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  ory_kratos_client:
    path: /path/to/ory_kratos_client
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:ory_kratos_client/api.dart';


final api_instance = AdminApi();
final createIdentity = CreateIdentity(); // CreateIdentity | 

try {
    final result = api_instance.createIdentity(createIdentity);
    print(result);
} catch (e) {
    print('Exception when calling AdminApi->createIdentity: $e\n');
}

```

## Documentation for API Endpoints

All URIs are relative to *https://demo.tenants.oryapis.com/api/kratos/public*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdminApi* | [**createIdentity**](doc//AdminApi.md#createidentity) | **POST** /identities | Create an Identity
*AdminApi* | [**createRecoveryLink**](doc//AdminApi.md#createrecoverylink) | **POST** /recovery/link | Create a Recovery Link
*AdminApi* | [**deleteIdentity**](doc//AdminApi.md#deleteidentity) | **DELETE** /identities/{id} | Delete an Identity
*AdminApi* | [**getIdentity**](doc//AdminApi.md#getidentity) | **GET** /identities/{id} | Get an Identity
*AdminApi* | [**getSchema**](doc//AdminApi.md#getschema) | **GET** /schemas/{id} | 
*AdminApi* | [**getSelfServiceError**](doc//AdminApi.md#getselfserviceerror) | **GET** /self-service/errors | Get User-Facing Self-Service Errors
*AdminApi* | [**getSelfServiceLoginFlow**](doc//AdminApi.md#getselfserviceloginflow) | **GET** /self-service/login/flows | Get Login Flow
*AdminApi* | [**getSelfServiceRecoveryFlow**](doc//AdminApi.md#getselfservicerecoveryflow) | **GET** /self-service/recovery/flows | Get information about a recovery flow
*AdminApi* | [**getSelfServiceRegistrationFlow**](doc//AdminApi.md#getselfserviceregistrationflow) | **GET** /self-service/registration/flows | Get Registration Flow
*AdminApi* | [**getSelfServiceSettingsFlow**](doc//AdminApi.md#getselfservicesettingsflow) | **GET** /self-service/settings/flows | Get Settings Flow
*AdminApi* | [**getSelfServiceVerificationFlow**](doc//AdminApi.md#getselfserviceverificationflow) | **GET** /self-service/verification/flows | Get Verification Flow
*AdminApi* | [**getVersion**](doc//AdminApi.md#getversion) | **GET** /version | Return Running Software Version.
*AdminApi* | [**isAlive**](doc//AdminApi.md#isalive) | **GET** /health/alive | Check HTTP Server Status
*AdminApi* | [**isReady**](doc//AdminApi.md#isready) | **GET** /health/ready | Check HTTP Server and Database Status
*AdminApi* | [**listIdentities**](doc//AdminApi.md#listidentities) | **GET** /identities | List Identities
*AdminApi* | [**prometheus**](doc//AdminApi.md#prometheus) | **GET** /metrics/prometheus | Get snapshot metrics from the Hydra service. If you're using k8s, you can then add annotations to your deployment like so:
*AdminApi* | [**updateIdentity**](doc//AdminApi.md#updateidentity) | **PUT** /identities/{id} | Update an Identity
*PublicApi* | [**getSchema**](doc//PublicApi.md#getschema) | **GET** /schemas/{id} | 
*PublicApi* | [**getSelfServiceError**](doc//PublicApi.md#getselfserviceerror) | **GET** /self-service/errors | Get User-Facing Self-Service Errors
*PublicApi* | [**getSelfServiceLoginFlow**](doc//PublicApi.md#getselfserviceloginflow) | **GET** /self-service/login/flows | Get Login Flow
*PublicApi* | [**getSelfServiceRecoveryFlow**](doc//PublicApi.md#getselfservicerecoveryflow) | **GET** /self-service/recovery/flows | Get information about a recovery flow
*PublicApi* | [**getSelfServiceRegistrationFlow**](doc//PublicApi.md#getselfserviceregistrationflow) | **GET** /self-service/registration/flows | Get Registration Flow
*PublicApi* | [**getSelfServiceSettingsFlow**](doc//PublicApi.md#getselfservicesettingsflow) | **GET** /self-service/settings/flows | Get Settings Flow
*PublicApi* | [**getSelfServiceVerificationFlow**](doc//PublicApi.md#getselfserviceverificationflow) | **GET** /self-service/verification/flows | Get Verification Flow
*PublicApi* | [**initializeSelfServiceBrowserLogoutFlow**](doc//PublicApi.md#initializeselfservicebrowserlogoutflow) | **GET** /self-service/browser/flows/logout | Initialize Browser-Based Logout User Flow
*PublicApi* | [**initializeSelfServiceLoginViaAPIFlow**](doc//PublicApi.md#initializeselfserviceloginviaapiflow) | **GET** /self-service/login/api | Initialize Login Flow for API clients
*PublicApi* | [**initializeSelfServiceLoginViaBrowserFlow**](doc//PublicApi.md#initializeselfserviceloginviabrowserflow) | **GET** /self-service/login/browser | Initialize Login Flow for browsers
*PublicApi* | [**initializeSelfServiceRecoveryViaAPIFlow**](doc//PublicApi.md#initializeselfservicerecoveryviaapiflow) | **GET** /self-service/recovery/api | Initialize Recovery Flow for API Clients
*PublicApi* | [**initializeSelfServiceRecoveryViaBrowserFlow**](doc//PublicApi.md#initializeselfservicerecoveryviabrowserflow) | **GET** /self-service/recovery/browser | Initialize Recovery Flow for Browser Clients
*PublicApi* | [**initializeSelfServiceRegistrationViaAPIFlow**](doc//PublicApi.md#initializeselfserviceregistrationviaapiflow) | **GET** /self-service/registration/api | Initialize Registration Flow for API clients
*PublicApi* | [**initializeSelfServiceRegistrationViaBrowserFlow**](doc//PublicApi.md#initializeselfserviceregistrationviabrowserflow) | **GET** /self-service/registration/browser | Initialize Registration Flow for browsers
*PublicApi* | [**initializeSelfServiceSettingsViaAPIFlow**](doc//PublicApi.md#initializeselfservicesettingsviaapiflow) | **GET** /self-service/settings/api | Initialize Settings Flow for API Clients
*PublicApi* | [**initializeSelfServiceSettingsViaBrowserFlow**](doc//PublicApi.md#initializeselfservicesettingsviabrowserflow) | **GET** /self-service/settings/browser | Initialize Settings Flow for Browsers
*PublicApi* | [**initializeSelfServiceVerificationViaAPIFlow**](doc//PublicApi.md#initializeselfserviceverificationviaapiflow) | **GET** /self-service/verification/api | Initialize Verification Flow for API Clients
*PublicApi* | [**initializeSelfServiceVerificationViaBrowserFlow**](doc//PublicApi.md#initializeselfserviceverificationviabrowserflow) | **GET** /self-service/verification/browser | Initialize Verification Flow for Browser Clients
*PublicApi* | [**revokeSession**](doc//PublicApi.md#revokesession) | **DELETE** /sessions | Initialize Logout Flow for API Clients - Revoke a Session
*PublicApi* | [**submitSelfServiceLoginFlow**](doc//PublicApi.md#submitselfserviceloginflow) | **POST** /self-service/login | Submit a Login Flow
*PublicApi* | [**submitSelfServiceRecoveryFlow**](doc//PublicApi.md#submitselfservicerecoveryflow) | **POST** /self-service/recovery | Complete Recovery Flow
*PublicApi* | [**submitSelfServiceRecoveryFlowWithLinkMethod**](doc//PublicApi.md#submitselfservicerecoveryflowwithlinkmethod) | **POST** /self-service/recovery/methods/link | Complete Recovery Flow with Link Method
*PublicApi* | [**submitSelfServiceRegistrationFlow**](doc//PublicApi.md#submitselfserviceregistrationflow) | **POST** /self-service/registration | Submit a Registration Flow
*PublicApi* | [**submitSelfServiceSettingsFlow**](doc//PublicApi.md#submitselfservicesettingsflow) | **POST** /self-service/settings | Complete Settings Flow
*PublicApi* | [**submitSelfServiceVerificationFlow**](doc//PublicApi.md#submitselfserviceverificationflow) | **POST** /self-service/verification/methods/link | Complete Verification Flow
*PublicApi* | [**whoami**](doc//PublicApi.md#whoami) | **GET** /sessions/whoami | Check Who the Current HTTP Session Belongs To


## Documentation For Models

 - [AuthenticateOKBody](doc//AuthenticateOKBody.md)
 - [ContainerChangeResponseItem](doc//ContainerChangeResponseItem.md)
 - [ContainerCreateCreatedBody](doc//ContainerCreateCreatedBody.md)
 - [ContainerTopOKBody](doc//ContainerTopOKBody.md)
 - [ContainerUpdateOKBody](doc//ContainerUpdateOKBody.md)
 - [ContainerWaitOKBody](doc//ContainerWaitOKBody.md)
 - [ContainerWaitOKBodyError](doc//ContainerWaitOKBodyError.md)
 - [CreateIdentity](doc//CreateIdentity.md)
 - [CreateRecoveryLink](doc//CreateRecoveryLink.md)
 - [ErrorContainer](doc//ErrorContainer.md)
 - [ErrorResponse](doc//ErrorResponse.md)
 - [GenericError](doc//GenericError.md)
 - [GenericErrorPayload](doc//GenericErrorPayload.md)
 - [GraphDriverData](doc//GraphDriverData.md)
 - [HealthNotReadyStatus](doc//HealthNotReadyStatus.md)
 - [HealthStatus](doc//HealthStatus.md)
 - [IdResponse](doc//IdResponse.md)
 - [Identity](doc//Identity.md)
 - [IdentityCredentials](doc//IdentityCredentials.md)
 - [ImageDeleteResponseItem](doc//ImageDeleteResponseItem.md)
 - [ImageSummary](doc//ImageSummary.md)
 - [InlineResponse200](doc//InlineResponse200.md)
 - [InlineResponse2001](doc//InlineResponse2001.md)
 - [InlineResponse503](doc//InlineResponse503.md)
 - [LoginFlow](doc//LoginFlow.md)
 - [LoginViaApiResponse](doc//LoginViaApiResponse.md)
 - [Meta](doc//Meta.md)
 - [Plugin](doc//Plugin.md)
 - [PluginConfig](doc//PluginConfig.md)
 - [PluginConfigArgs](doc//PluginConfigArgs.md)
 - [PluginConfigInterface](doc//PluginConfigInterface.md)
 - [PluginConfigLinux](doc//PluginConfigLinux.md)
 - [PluginConfigNetwork](doc//PluginConfigNetwork.md)
 - [PluginConfigRootfs](doc//PluginConfigRootfs.md)
 - [PluginConfigUser](doc//PluginConfigUser.md)
 - [PluginDevice](doc//PluginDevice.md)
 - [PluginEnv](doc//PluginEnv.md)
 - [PluginInterfaceType](doc//PluginInterfaceType.md)
 - [PluginMount](doc//PluginMount.md)
 - [PluginSettings](doc//PluginSettings.md)
 - [Port](doc//Port.md)
 - [RecoveryAddress](doc//RecoveryAddress.md)
 - [RecoveryFlow](doc//RecoveryFlow.md)
 - [RecoveryLink](doc//RecoveryLink.md)
 - [RegistrationFlow](doc//RegistrationFlow.md)
 - [RegistrationViaApiResponse](doc//RegistrationViaApiResponse.md)
 - [RevokeSession](doc//RevokeSession.md)
 - [ServiceUpdateResponse](doc//ServiceUpdateResponse.md)
 - [Session](doc//Session.md)
 - [SettingsFlow](doc//SettingsFlow.md)
 - [SettingsProfileFormConfig](doc//SettingsProfileFormConfig.md)
 - [SettingsViaApiResponse](doc//SettingsViaApiResponse.md)
 - [SubmitSelfServiceBrowserSettingsOIDCFlowPayload](doc//SubmitSelfServiceBrowserSettingsOIDCFlowPayload.md)
 - [SubmitSelfServiceLoginFlow](doc//SubmitSelfServiceLoginFlow.md)
 - [SubmitSelfServiceLoginFlowWithPasswordMethod](doc//SubmitSelfServiceLoginFlowWithPasswordMethod.md)
 - [SubmitSelfServiceRecoveryFlowWithLinkMethod](doc//SubmitSelfServiceRecoveryFlowWithLinkMethod.md)
 - [SubmitSelfServiceRegistrationFlow](doc//SubmitSelfServiceRegistrationFlow.md)
 - [SubmitSelfServiceRegistrationFlowWithPasswordMethod](doc//SubmitSelfServiceRegistrationFlowWithPasswordMethod.md)
 - [SubmitSelfServiceSettingsFlow](doc//SubmitSelfServiceSettingsFlow.md)
 - [SubmitSelfServiceSettingsFlowWithPasswordMethod](doc//SubmitSelfServiceSettingsFlowWithPasswordMethod.md)
 - [SubmitSelfServiceSettingsFlowWithProfileMethod](doc//SubmitSelfServiceSettingsFlowWithProfileMethod.md)
 - [SubmitSelfServiceVerificationFlowWithLinkMethod](doc//SubmitSelfServiceVerificationFlowWithLinkMethod.md)
 - [UiContainer](doc//UiContainer.md)
 - [UiNode](doc//UiNode.md)
 - [UiNodeAnchorAttributes](doc//UiNodeAnchorAttributes.md)
 - [UiNodeAttributes](doc//UiNodeAttributes.md)
 - [UiNodeImageAttributes](doc//UiNodeImageAttributes.md)
 - [UiNodeInputAttributes](doc//UiNodeInputAttributes.md)
 - [UiNodeInputAttributesValue](doc//UiNodeInputAttributesValue.md)
 - [UiNodeTextAttributes](doc//UiNodeTextAttributes.md)
 - [UiText](doc//UiText.md)
 - [UpdateIdentity](doc//UpdateIdentity.md)
 - [VerifiableAddress](doc//VerifiableAddress.md)
 - [VerificationFlow](doc//VerificationFlow.md)
 - [Version](doc//Version.md)
 - [Volume](doc//Volume.md)
 - [VolumeUsageData](doc//VolumeUsageData.md)


## Documentation For Authorization


## sessionCookie

- **Type**: API key
- **API key parameter name**: ory_kratos_session
- **Location**: 

## sessionToken

- **Type**: API key
- **API key parameter name**: X-Session-Token
- **Location**: HTTP header


## Author

hi@ory.sh


